POST /actions/projects/{project_id}/assets/share

Share or unshare all assets for a specific project or a list of specific assets.

Path parameters

  • project_id Required

    Unique identifier of the project

application/json

Body

  • is_shared boolean

    Whether to share or unshare the assets

  • asset_ids array[string(uuid)]

    Specific asset IDs to update.

Responses

  • 200 application/json

    Assets shared status successfully updated

    Hide response attributes Show response attributes object
    • updated_count integer

      Number of assets updated

    • project_id string(uuid)

      Project identifier

POST /actions/projects/{project_id}/assets/share
curl -X POST "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/assets/share" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "is_shared": true,
  "asset_ids": [
    "a24a6ea4-ce75-4665-a070-57453082c25",
    "b35b7fb5-df86-5776-b181-68564193d36"
  ]
}'
import requests

url = "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/assets/share"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "is_shared": true,
    "asset_ids": [
        "a24a6ea4-ce75-4665-a070-57453082c25",
        "b35b7fb5-df86-5776-b181-68564193d36"
    ]
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/assets/share' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"is_shared":true,"asset_ids":["a24a6ea4-ce75-4665-a070-57453082c25","b35b7fb5-df86-5776-b181-68564193d36"]}'
Request examples
{
  "is_shared": true,
  "asset_ids": [
    "a24a6ea4-ce75-4665-a070-57453082c25",
    "b35b7fb5-df86-5776-b181-68564193d36"
  ]
}
Response examples (200)
{
  "updated_count": 5,
  "project_id": "b35b7fb5-df86-5776-b181-68564193d36"
}